## nota 4.0.2

=== debian/changelog ===
nota (4.0.2-0zneon+24.04+noble+release+build11) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 01:20:52 +0000

nota (4.0.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 28 May 2025 22:56:19 +0000

nota (4.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 Dec 2024 22:56:14 +0000

nota (4.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 03 Sep 2024 22:56:12 +0000

nota (3.1.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 25 Feb 2024 22:56:31 +0000

nota (3.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Dec 2023 22:56:07 +0000

nota (3.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 26 May 2023 04:39:06 +0000

nota (2.2.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 04:39:07 +0000

nota (2.2.1-0neon) jammy; urgency=medium

  [ Jonah Brüchert ]
  * New snapshot

  [ Neon CI ]
  * New release

 -- Neon CI <neon@kde.org>  Sat, 18 Feb 2023 04:39:07 +0000

nota (0+git20180905-1) unstable; urgency=medium

  * Initial release

 -- Jonah Brüchert <jbb@kaidan.im>  Wed, 05 Sep 2018 14:37:52 +0200

## nota 4.0.2+p24.04+vstable+git20250903.0105

=== debian/changelog ===
nota (4.0.2+p24.04+vstable+git20250903.0105-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 01:05:12 +0000

## nota 4.0.2+p24.04+vstable+git20250914.2019

=== debian/changelog ===
nota (4.0.2+p24.04+vstable+git20250914.2019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 14 Sep 2025 20:19:38 +0000

## nota 4.0.2+p24.04+vstable+git20251015.1917

=== CMakeLists.txt ===
# Copyright 2018-2020 Camilo Higuita <milo.h@aol.com>
# Copyright 2018-2020 Nitrux Latinoamericana S.C.
#
# SPDX-License-Identifier: GPL-3.0-or-later

cmake_minimum_required(VERSION 3.16)

set(NOTA_VERSION 4.0.3)
add_compile_definitions(APP_COPYRIGHT_NOTICE="© 2019-2025 Maui Development Team")

project(nota VERSION ${NOTA_VERSION})

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_INCLUDE_CURRENT_DIR ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(QT_MAJOR_VERSION 6)

set(REQUIRED_QT_VERSION 6.5.2)
set(REQUIRED_KF_VERSION 5.240.0)
set(REQUIRED_MAUI_VERSION 4.0.0)

if(ANDROID)
    set(ANDROID_ABIS "armeabi-v7a")
endif()

find_package(ECM ${REQUIRED_KF_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${ECM_MODULE_PATH})

if(ANDROID)
    find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Sql Multimedia QuickControls2)
elseif(UNIX)
    find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Widgets DBus)
endif()

find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Core Qml Quick)
find_package(KF6 ${REQUIRED_KF_VERSION} REQUIRED COMPONENTS I18n CoreAddons)

find_package(MauiKit4 ${REQUIRED_MAUI_VERSION} REQUIRED COMPONENTS FileBrowsing TextEditor)

if(UNIX AND NOT APPLE AND NOT ANDROID)
    include(KDEInstallDirs)
    include(KDECMakeSettings)
endif()

include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEClangFormat)
include(ECMSetupVersion)
include(ECMSourceVersionControl)
include(FeatureSummary)

if(${ECM_SOURCE_UNDER_VERSION_CONTROL})
    execute_process(
        COMMAND git rev-parse --abbrev-ref HEAD
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_BRANCH
        OUTPUT_STRIP_TRAILING_WHITESPACE)

    # Get the latest abbreviated commit hash of the working branch
    execute_process(
        COMMAND git log -1 --format=%h
        WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}
        OUTPUT_VARIABLE GIT_COMMIT_HASH
        OUTPUT_STRIP_TRAILING_WHITESPACE)

    add_definitions(-DGIT_COMMIT_HASH="${GIT_COMMIT_HASH}")
    add_definitions(-DGIT_BRANCH="${GIT_BRANCH}")

else()
    add_definitions(-DGIT_COMMIT_HASH="${NOTA_VERSION}")
    add_definitions(-DGIT_BRANCH="Stable")
endif()

ecm_setup_version(${NOTA_VERSION}
    VARIABLE_PREFIX NOTA
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/nota_version.h")

add_subdirectory(src)

ki18n_install(po)

if(UNIX AND NOT APPLE AND NOT ANDROID)
    install(FILES org.kde.nota.desktop DESTINATION ${KDE_INSTALL_APPDIR})
    install(FILES org.kde.nota.metainfo.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
endif()

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

qt_finalize_project()

=== src/CMakeLists.txt ===
# Copyright 2018-2020 Camilo Higuita <milo.h@aol.com>
# Copyright 2018-2020 Nitrux Latinoamericana S.C.
#
# SPDX-License-Identifier: GPL-3.0-or-later

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_STRICT_ITERATORS -DQT_NO_CAST_FROM_BYTEARRAY -DQT_NO_URL_CAST_FROM_STRING)

set(nota_SRCS
    main.cpp
    models/historymodel.cpp
    controllers/server.cpp)

set(nota_HDRS
    models/historymodel.h
    nota.h)

qt_add_resources(nota_ASSETS
    assets/img_assets.qrc)

if(UNIX AND NOT ANDROID)
    qt_generate_dbus_interface(${CMAKE_CURRENT_SOURCE_DIR}/controllers/server.h org.kde.Nota.xml)
    qt_add_dbus_adaptor(nota_dbus_SRCS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Nota.xml controllers/server.h Server)
    qt_add_dbus_interface(nota_dbus_SRCS ${CMAKE_CURRENT_BINARY_DIR}/org.kde.Nota.xml notainterface)
endif()

if(ANDROID)
    qt_add_executable(${PROJECT_NAME}
        MANUAL_FINALIZATION
        ${nota_SRCS}
        ${nota_HDRS}
        ${nota_ASSETS})

    set_property(TARGET ${PROJECT_NAME} APPEND PROPERTY QT_ANDROID_PACKAGE_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR}/android_files)
    configure_file(${CMAKE_CURRENT_SOURCE_DIR}/android_files/version.gradle.in ${CMAKE_BINARY_DIR}/src/version.gradle)

else()
    qt_add_executable(${PROJECT_NAME}
        ${nota_SRCS}
        ${nota_dbus_SRCS}
        ${nota_HDRS}
        ${nota_ASSETS})
endif()

qt_add_qml_module(${PROJECT_NAME} URI app.maui.nota
    NO_PLUGIN
    QML_FILES
    main.qml
    views/RecentView.qml
    views/widgets/DocsBrowser.qml
    views/widgets/SettingsDialog.qml
    views/Terminal.qml
    views/widgets/TerminalColorSchemes.qml
    views/PlacesSidebar.qml
    views/editor/EditorView.qml
    views/editor/Editor.qml
    views/editor/EditorLayout.qml
    views/widgets/ItemMenu.qml
    views/widgets/PluginsDialog.qml
    views/widgets/ShortcutsDialog.qml

    plugins/ActionBar.qml
    plugins/Dicto.qml
    plugins/QMLLive.qml
    plugins/ToDos.qml)

if (ANDROID)
    target_link_libraries(${PROJECT_NAME}
        PRIVATE
        Qt6::QuickControls2
        Qt6::Sql
        Qt6::Multimedia)
elseif(UNIX)
    target_link_libraries(${PROJECT_NAME} PRIVATE Qt6::Widgets Qt6::DBus)
endif()

target_compile_definitions(${PROJECT_NAME}
    PRIVATE $<$<OR:$<CONFIG:Debug>,$<CONFIG:RelWithDebInfo>>:QT_QML_DEBUG>)

target_link_libraries(${PROJECT_NAME}
    PRIVATE
    MauiKit4
    MauiKit4::FileBrowsing
    MauiKit4::TextEditor
    Qt6::Core
    Qt6::Quick
    Qt6::Qml
    KF6::CoreAddons
    KF6::I18n)

if(UNIX AND NOT APPLE AND NOT ANDROID)
    install(TARGETS ${PROJECT_NAME} ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
    install(FILES assets/nota.svg DESTINATION ${KDE_INSTALL_ICONDIR}/hicolor/scalable/apps)
endif()

qt_finalize_target(${PROJECT_NAME})

=== debian/changelog ===
nota (4.0.2+p24.04+vstable+git20251015.1917-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 19:17:51 +0000

=== debian/control ===
Source: nota
Section: utils
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-kservice-dev,
               kf6-syntax-highlighting-dev,
               libmauikitfilebrowsing-dev,
               libmauikittexteditor-dev,
               mauikit-dev,
               mauiman-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-svg-dev,
               qt6-webengine-dev
Standards-Version: 4.6.2
Homepage: https://github.com/maui-project/nota
Vcs-Git: https://invent.kde.org/neon/neon-packaging/nota.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/nota
Maintainer: Neon CI <neon@kde.org>

Package: nota
Architecture: any
Depends: qml6-module-org-maui-mauikit,
         qml6-module-org-mauikit-filebrowsing,
         qml6-module-org-mauikit-terminal,
         qml6-module-org-mauikit-texteditor,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Maui Multi-platform text editor
 Text editor with tab support, syntax highlight and more.
 .

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6 --buildsystem kf6

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/maui/nota/([\d\.]+)/@PACKAGE@-([\d.]+).tar.xz

## nota 4.0.2+p24.04+vstable+git20251019.0731

=== debian/changelog ===
nota (4.0.2+p24.04+vstable+git20251019.0731-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 07:31:17 +0000

## nota 4.0.2+p24.04+vstable+git20260105.1004

=== debian/changelog ===
nota (4.0.2+p24.04+vstable+git20260105.1004-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 05 Jan 2026 10:04:18 +0000

## nota 4.0.2+p24.04+vstable+git20260122.0654

=== debian/changelog ===
nota (4.0.2+p24.04+vstable+git20260122.0654-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 06:54:16 +0000

## nota 4.0.2+p24.04+vstable+git20260130.1012

=== debian/changelog ===
nota (4.0.2+p24.04+vstable+git20260130.1012-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 10:12:25 +0000

## nota 4.0.2+p24.04+vstable+git20260216.0358

=== debian/changelog ===
nota (4.0.2+p24.04+vstable+git20260216.0358-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 16 Feb 2026 03:58:20 +0000

## nota 4.0.2+p24.04+vstable+git20260219.0508

=== debian/changelog ===
nota (4.0.2+p24.04+vstable+git20260219.0508-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 19 Feb 2026 05:08:06 +0000

## nota 4.0.2+p24.04+vunstable+git20251123.2003

=== debian/changelog ===
nota (4.0.2+p24.04+vunstable+git20251123.2003-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 20:03:42 +0000

## nota 4.0.2+p24.04+vunstable+git20260130.1355

=== debian/changelog ===
nota (4.0.2+p24.04+vunstable+git20260130.1355-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 13:55:24 +0000
